Haketilo - Feature #72

[Roadmap 18][Milestone] Facilitate creation of "meta-sites”
08/02/2021 04:24 PM - koszko

Status: New Start date: 08/02/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Besides making fixes for sites like Odysee, YouTube, Vimeo, etc., we could also go further and create standalone ephemeral sites
available as Hydrilla packages. One of the use cases would be for pulling content from multiple sites and presenting it in a uniform
interface. For example, we could have a single page that presents video search results from multiple video-sharing sites at once™.

Another use-case would be for tools or games that have been written as html pages with js and work in a browser but don't actually
rely on any service (other that the HTTP server that serves the actual page).

Roadmap

1. If anybody is wondering about the point of making a generic interface for a set of sites, consider it as a cool way to undermine
the hegemony of giants like Google and Microsoft. A custom inteface for Google or GitHub by itself would only attract some
users. A custom interface that works with other video sharing sites or other git hosting sites and presents their contents in a
uniform way would have a chance of attracting more and would make it easier and more appealing for people to switch to more
ethical services of given kind «

Related issues:
Blocked by Haketilo - Feature #71: [Roadmap 5][Milestone] Make it possible fo... Closed 08/02/2021

History

#1 - 02/24/2022 12:58 PM - koszko
- Blocked by Feature #71: [Roadmap 5][Milestone] Make it possible for injected scripts to bypass CORS added

#2 - 02/24/2022 01:01 PM - koszko

- Description updated

- Subject changed from Facilitate creation of "meta-sites" to [Roadmap 18][Milestone] Facilitate creation of "meta-sites"
